#!/usr/bin/make -f

SHELL=/bin/sh


VERSION=3.0-0ubuntu2


.PHONY: source binary source-unsigned source-signed clean


binary: eprints_${VERSION}.dsc
	sudo pbuilder build eprints_${VERSION}.dsc
	cp /var/cache/pbuilder/result/eprints_${VERSION}_all.deb .


source: source-unsigned

source-unsigned:
	cd eprints-3.0 && debuild -S -us -uc -iCVS
	cd ..


source-signed:
	cd eprints-3.0 && debuild -S -k402A6FAF -iCVS
	cd ..


clean:
	rm -f *.diff.gz *.dsc *.deb *.build *.changes
